X2Go Bug report logs - #418
Not all windows recover upon resume (single application/terminal)

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Daniel Michalik <x2go@blackamp.de>

Date: Tue, 28 Jan 2014 15:45:02 UTC

Severity: normal

Tags: confirmed

Merged with 437, 513

Found in versions 3.5.0.22, 3.5.0.24-0x2go1+git20140508.472+jessie.main.1, 3.5.0.21

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#418; Package nxagent. (Tue, 28 Jan 2014 15:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 Jan 2014 15:45:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Daniel Michalik <x2go@blackamp.de>
To: submit@bugs.x2go.org
Subject: Not all windows recover upon resume (single application/terminal)
Date: Tue, 28 Jan 2014 16:40:35 +0100
Package: nxagent
Version: 3.5.0.21

I run x2go with session type single application/terminal. I then start
additional applications on the server from the terminal. When resuming I
do not always get all application windows back on my client. Sometimes
the terminal is missing, sometimes one of the applications is missing, sometimes
all windows are present, sometimes none of them are. In any case the
session is running as can be seen from the status in the client as well
as with x2golistsessions on the server. 

Additional information/speculation: I feel this might be connected to
the way my session was suspended before. It is often suspended by brute
force, for example breaking of the network connection or an ungraceful
shutdown of the client machine.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#418; Package nxagent. (Fri, 07 Feb 2014 16:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Feb 2014 16:10:01 GMT) Full text and rfc822 format available.

Message #10 received at 418@bugs.x2go.org (full text, mbox):

From: Daniel Michalik <x2go@blackamp.de>
To: 418@bugs.x2go.org
Subject: segfault?
Date: Fri, 7 Feb 2014 17:01:21 +0100
I found the following two lines in dmesg. They might or might not be
related to the bug reported. 
[3706374.187950] x2goagent[21650]: segfault at c ip 00007fe77e20444b sp 00007fff4c34b150 error 4 in libNX_X11.so.6.2[7fe77e197000+f3000]
[3993685.799006] x2goagent[13934] general protection ip:7f7d11e8209c sp:7fffe8ea2740 error:0 in libc-2.13.so[7f7d11e0b000+180000]


Marked as found in versions 3.5.0.24-0x2go1+git20140508.472+jessie.main.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 418 513 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 418 437 513 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#418; Package nxagent. (Thu, 27 Nov 2014 04:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 27 Nov 2014 04:50:02 GMT) Full text and rfc822 format available.

Message #23 received at 418@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 418@bugs.x2go.org
Cc: 418-submitter@bugs.x2go.org
Subject: confirming disappearing single applications
Date: Thu, 27 Nov 2014 04:45:07 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 confirmed

Hi,

I just experienced a similar issue as described by bug report #418.

I thought, it might be helpful to track the lost window id (xprop  
-root), but funnily, the server-side nxagent X-Server has no  
registered windows in rootless applications mode:

With the lost iceweasel window after resuming, as well as with a new  
iceweasel single application session, I get this output from xprop:

"""
gabmik@tjener:~$ xprop -root
_XKB_RULES_NAMES(STRING) = "base", "pc105", "de", "nodeadkeys",  
"compose:rctrl,terminate:ctrl_alt_bksp"
WM_STATE(WM_STATE):
		window state: Normal
		icon window: 0x0
"""

The xprop -root command on the client side, however, provides  
information on the single application session window (iceweasel) when  
it is started new.

In my case where the iceweasel window did not reappear on session  
resumption, no window id was listed on the client side.

Hmmm...

Weird phenomenon.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 418-submit@bugs.x2go.org. (Thu, 27 Nov 2014 04:50:02 GMT) Full text and rfc822 format available.

Message sent on to Daniel Michalik <x2go@blackamp.de>:
Bug#418. (Thu, 27 Nov 2014 04:50:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 20:52:04 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.